<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Fri May 27 03:09:52 CEST 2022 -->
<title>Uses of Class Ability</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-05-27">
<meta name="description" content="use: class: Ability">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Ability.html" title="class in Unnamed Package">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html#use">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class Ability" class="title">Uses of Class<br>Ability</h1>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="unnamed-package">
<h2>Uses of <a href="../Ability.html" title="class in Unnamed Package">Ability</a> in <a href="../package-summary.html">Unnamed Package</a></h2>
<div class="caption"><span>Methods in <a href="../package-summary.html">Unnamed Package</a> that return <a href="../Ability.html" title="class in Unnamed Package">Ability</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code><a href="../Ability.html" title="class in Unnamed Package">Ability</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">GamePiece.</span><code><a href="../GamePiece.html#getAbility()" class="member-name-link">getAbility</a>()</code></div>
<div class="col-last even-row-color">
<div class="block">renvoie la capacité de la pièce sous la forme d'un objet Ability.</div>
</div>
</div>
<div class="caption"><span>Constructors in <a href="../package-summary.html">Unnamed Package</a> with parameters of type <a href="../Ability.html" title="class in Unnamed Package">Ability</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier</div>
<div class="table-header col-second">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>&nbsp;</code></div>
<div class="col-second even-row-color"><code><a href="../GamePiece.html#%3Cinit%3E(java.lang.String,java.lang.String,int,int,int,int,int,Ability,java.lang.String,int)" class="member-name-link">GamePiece</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;name,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;team,
 int&nbsp;x,
 int&nbsp;y,
 int&nbsp;health,
 int&nbsp;damage,
 int&nbsp;level,
 <a href="../Ability.html" title="class in Unnamed Package">Ability</a>&nbsp;ability,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;imageURL,
 int&nbsp;moveType)</code></div>
<div class="col-last even-row-color">
<div class="block">GamePiece constructor</div>
</div>
</div>
</section>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
